using Castle.Windsor;
using Castle.Windsor.Configuration.Interpreters;

namespace IglooCoder.Demo.AOP.Console.Resolver
{
    public class Resolve
    {
        private static IWindsorContainer _container;

        static Resolve()
        {
            _container = new WindsorContainer(new XmlInterpreter());
        }

        public static RequestedType For<RequestedType>()
        {
            return _container.Resolve<RequestedType>();
        }
    }
}